
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Java并发基础实践：退出任务I / iVAN</title>

    <meta name="description" content="Java并发基础实践：退出任务I 计划写一个&quot;Java并发基础实践&quot;系列,算作本人对Java并发学习与实践的简单总结.本文是该系列的第一篇,介绍了退出并发任务的最简单方法. 在一个并发任务被启动之后,不要期望它总是会执行完成.由于时间限制,资源限制,用户操作,甚至是任务中的异常(尤其是运行时异常),...都可能造成任务不能执行完成.如何恰当地退出任务是一个很常见的问题,而且实现方法也不一而足. 1. 任务 创建一个并发任务,递归地获取指定目录下的所有子目录与文件的绝对路径,最后再将这些路径信息保存到一个文件中 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Java并发基础实践：退出任务I</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>计划写一个"Java并发基础实践"系列，算作本人对Java并发学习与实践的简单总结。本文是该系列的第一篇，介绍了退出并发任务的最简单方法。</p>
<p>在一个并发任务被启动之后，不要期望它总是会执行完成。由于时间限制，资源限制，用户操作，甚至是任务中的异常(尤其是运行时异常)，...都可能造成任务不能执行完成。如何恰当地退出任务是一个很常见的问题，而且实现方法也不一而足。</p>
<p>1. 任务</p>
<p>创建一个并发任务，递归地获取指定目录下的所有子目录与文件的绝对路径，最后再将这些路径信息保存到一个文件中，如代码清单1所示：</p>
<pre>
清单1
public class FileScanner implements Runnable {

    private File root = null;

    private List&lt;String&gt; filePaths = new ArrayList&lt;String&gt;();

    public FileScanner1(File root) {
        if (root == null || !root.exists() || !root.isDirectory()) {
            throw new IllegalArgumentException("root must be legal directory");
        }

        this.root = root;
    }

    @Override
    public void run() {
        travleFiles(root);
        try {
            saveFilePaths();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    private void travleFiles(File parent) {
        String filePath = parent.getAbsolutePath();
        filePaths.add(filePath);

        if (parent.isDirectory()) {
            File[] children = parent.listFiles();
            for (File child : children) {
                travleFiles(child);
            }
        }
    }

    private void saveFilePaths() throws IOException {
        FileWriter fos = new FileWriter(new File(root.getAbsoluteFile()
                + File.separator + "filePaths.out"));
        for (String filePath : filePaths) {
            fos.write(filePath + "\n");
        }
        fos.close();
    }
}</pre>
<p>2. 停止线程</p>
<p>有一个很直接，也很干脆的方式来停止线程，就是调用Thread.stop()方法，如代码清单2所示：</p>
<pre>
清单2
public static void main(String[] args) throws Exception {
    FileScanner task = new FileScanner(new File("C:"));
    Thread taskThread = new Thread(task);
    taskThread.start();

    TimeUnit.SECONDS.sleep(1);
    taskThread.stop();
}</pre>
<p>但是，地球人都知道Thread.stop()在很久很久之前就不推荐使用了。根据官方文档的介绍，该方法存在着固有的不安全性。当停止线程时，将会释放该线程所占有的全部监视锁，这就会造成受这些锁保护的对象的不一致性。在执行清单2的应用程序时，它的运行结果是不确定的。它可能会输出一个文件，其中包含部分的被扫描过的目录和文件。但它也很有可能什么也不输出，因为在执行FileWriter.write()的过程中，可能由于线程停止而造成了I/O异常，使得最终无法得到输出文件。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索file<br />
                    ，                线程<br />
                    ，                清单<br />
                    ，                root<br />
                    ，                getAbsoluteFile<br />
                    ，                java退出<br />
                    ，                任务<br />
                    ，                一个<br />
                    ，                文件并发<br />
                    ，                并发异常<br />
                                    Java并发任务<br />
                                    ，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 06:42:18</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e4%bb%bb%e5%8a%a1/" title="任务">任务</a>, <a href="https://www.iamivan.net/tag/%e6%b8%85%e5%8d%95/" title="清单">清单</a>, <a href="https://www.iamivan.net/tag/file/" title="file">file</a>, <a href="https://www.iamivan.net/tag/%e7%ba%bf%e7%a8%8b/" title="线程">线程</a>, <a href="https://www.iamivan.net/tag/root/" title="root">root</a>, <a href="https://www.iamivan.net/tag/java%e9%80%80%e5%87%ba/" title="java退出">java退出</a>, <a href="https://www.iamivan.net/tag/getabsolutefile/" title="getAbsoluteFile">getAbsoluteFile</a>, <a href="https://www.iamivan.net/tag/%e5%b9%b6%e5%8f%91%e5%bc%82%e5%b8%b8/" title="并发异常">并发异常</a>, <a href="https://www.iamivan.net/tag/java%e5%b9%b6%e5%8f%91%e4%bb%bb%e5%8a%a1/" title="Java并发任务">Java并发任务</a>, <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6%e5%b9%b6%e5%8f%91/" title="文件并发">文件并发</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Java并发基础实践：退出任务I的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/7b2jJQb.html" rel="bookmark">Java并发基础实践：退出任务II</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在本系列的上一篇中所述的退出并发任务的方式都是基于JDK 5之前的API,本文将介绍使用由JDK 5引入的并发工具包中的API来退出任务.(2013.10.08最后更新) 在本系列的前一篇中讲述了三种退出并发任务的方式--停止线程:可取消的任务:中断,但都是基于JDK 5之前的API.本篇将介绍由JDK 5引入的java.concurrent包中的Future来取消任务的执行. 1. Future模式 Future是并发编程中的一种常见设计模式,它相当于是Proxy模式与Thread-Per-M			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/7M0eOJp.html" rel="bookmark">Java并发基础实践：分而治之</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本系列的第三篇文章将以实现一个极简单的查找最大数的任务为例,分别给出了四个版本:1.顺序执行:2.基于传统的Thread.join():3.基于并发工具包的Future:4.基于JDK 7引入的Fork/Join框架.(2013.10.25最后更新) 分而治之(Divide-and-Conquer)是解决复杂问题的常用方法.在并发应用中,可将一个复杂算法分解为若干子问题,然后使用独立的线程去执行解决子问题的程序,之后再将各个子问题的结果逐级进行合并以得到最终结果.在特定环境中,这种方式可能较好地			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Myw69kz.html" rel="bookmark">推荐阅读Java并发性领域编程最值得一读的力作《JAVA并发编程实践》</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我的第一次之给&lt;JAVA并发编程实践&gt;写推荐序英文书名:Java Concurrency in Practice 中文书名:JAVA并发编程实践 这是一本入围17届Jolt大奖的书,虽然最终他没有获奖,但是这只是与政治有关的.:) 推荐序原文如下: http://book.csdn.net/bookfiles/398/10039814644.shtml 在汗牛充栋的 Java 图书堆中,关于并发性的书籍却相当稀少,然而这本书的出现,将极大地弥补了这一方面的空缺.即使并发性编程还没进入到您的 J			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBkPoJM.html" rel="bookmark">java并发编程实践笔记</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1, 保证线程安全的三种方法:     a, 不要跨线程访问共享变量     b, 使共享变量是final类型的     c, 将共享变量的操作加上同步 2, 一开始就将类设计成线程安全的, 比在后期重新修复它,更容易. 3, 编写多线程程序, 首先保证它是正确的, 其次再考虑性能. 4, 无状态或只读对象永远是线程安全的. 5, 不要将一个共享变量裸露在多线程环境下(无同步或不可变性保护) 6, 多线程环境下的延迟加载需要同步的保护, 因为延迟加载会造成对象重复实例化 7, 对于volatil			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXKxEWM.html" rel="bookmark">Java 并发编程学习笔记之核心理论基础&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				并发编程是Java程序员最重要的技能之一,也是最难掌握的一种技能.它要求编程者对计算机最底层的运作原理有深刻的理解,同时要求编程者逻辑清晰.思维缜密,这样才能写出高效.安全.可靠的多线程并发程序.本系列会从线程间协调的方式(wait.notify.notifyAll).Synchronized及Volatile的本质入手,详细解释JDK为我们提供的每种并发工具和底层实现机制.在此基础上,我们会进一步分析java.util.concurrent包的工具类,包括其使用方式.实现源码及其背后的原理.本			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qbaNjwM.html" rel="bookmark">Rolling cURL&colon; PHP并发最佳实践</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在实际项目或者自己编写小工具(比如新闻聚合,商品价格监控,比价)的过程中, 通常需要从第3方网站或者API接口获取数据, 在需要处理1个URL队列时, 为了提高性能, 可以采用cURL提供的curl_multi_*族函数实现简单的并发. 本文将探讨两种具体的实现方法, 并对不同的方法做简单的性能对比. 1. 经典cURL并发机制及其存在的问题 经典的cURL实现机制在网上很容易找到, 比如参考PHP在线手册的如下实现方式: function classic_curl($urls, $delay)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M608ZOz.html" rel="bookmark">《Java线程与并发编程实践》- 第1章 Thread和Runnable</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第1章 Thread和Runnable Java线程与并发编程实践 Java程序是通过线程执行的,线程在程序中具有独立的执行路径.当多条线程执行时,它们彼此之间的路径可以不同.举个例子,一条线程可能在执行switch语句的某个case分支,另一条线程很可能在执行其他case分支. 每个Java应用程序都有一个执行main()函数的默认主线程.应用程序也可以创建线程在后台操作时间密集型任务,以确保对用户的响应.这些封装了代码执行序列的线程对象就被称为runnable. Java虚拟机给每条线程分配			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKka9db.html" rel="bookmark">Java多线程和并发基础面试问答，看过后你不会后悔</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第一:Java多线程面试问题 1:进程和线程之间有什么不同? 一个进程是一个独立(self contained)的运行环境,它可以被看作一个程序或者一个应用.而线程是在进程中执行的一个任务.Java运行环境是一个包含了不同的类和程序的单一进程.线程可以被称为轻量级进程.线程需要较少的资源来创建和驻留在进程中,并且可以共享进程中的资源. 2:多线程编程的好处是什么? 在多线程程序中,多个线程被并发的执行以提高程序的效率,CPU不会因为某个线程需要等待资源而进入空闲状态.多个线程共享堆内存(heap			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZEao4p.html" rel="bookmark">JAVA多线程和并发基础面试问答</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文链接  译文连接 作者:Pankaj  译者:郑旭东  校对:方腾飞 多线程和并发问题是Java技术面试中面试官比较喜欢问的问题之一.在这里,从面试的角度列出了大部分重要的问题,但是你仍然应该牢固的掌握Java多线程基础知识来对应日后碰到的问题.(校对注:非常赞同这个观点) Java多线程面试问题 1. 进程和线程之间有什么不同? 一个进程是一个独立(self contained)的运行环境,它可以被看作一个程序或者一个应用.而线程是在进程中执行的一个任务.Java运行环境是一个包含了不同的			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJO4wb.html" rel="bookmark" class="title">HTML 5联手jQuery实现超酷图像灰度渐变效果</a>
					<div>
						曾几何时,网站上显示的灰度图像必须手动进行转换.现在使用HTML 5画布,图像可以被巧妙的转换为灰色,而不必使用图像编辑软件.我下面有一个示例,展示如何使用HTML 5和jQuery动态的将彩色图像转 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpn6n2p.html" rel="bookmark" class="title">js知识点&colon; js 知识总结</a>
					<div>
						 取得文本内容时,最好用innerHTML,因为在ff下不兼容innerText;在js调试的时候经常会让程序中断执行,可以用return,php可以用exit();在mootools框架中,实现全选 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XpmqY7p.html" rel="bookmark" class="title">百度快照相关的3个常见问题</a>
					<div>
						1.不同的关键词,快照不一样?2.新加的文章收录了,首页快照却没更新?3.百度快照天天更新,却不收录新页面,排名也不靠前,为什么呢? 1.不同的关键词,快照不一样? 这情况对网站的排名影响可以忽略不计 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLOgXAM.html" rel="bookmark" class="title">Android的自定义控件Canvas解析</a>
					<div>
						自定义控件分为两种一种是自定义ViewGroup控件,一种是自定义View控件:跟踪View的步伐其实能跟到Java实现的最下面我们能发现的也就只有Canvas了,再下去就是C++或C实现了:所以本文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxwOAb.html" rel="bookmark" class="title">MySQL数据库的启动与终止</a>
					<div>
						由于MySQL服务器具有多种安装分发,而且能够运行在多种操作平台之上,因此它的启动与停止的方法也多种多样.你可以根据实际情况使用其中的一种.在你安装.升级或者维护系统时,你可能需要多次启动和终止服务器 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlB2Jaz.html" rel="bookmark" class="title">PHP单线程实现并行抓取网页</a>
					<div>
						  本PHP教程将模拟并行抓取多个页面信息的过程,关键在于单线程的并行处理. 一般情况下,大家写抓取多个页面信息的程序都采用串行方案,但获取周期过长,不实用.于是我想到用curl 去并行抓取.但是,最 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z422wjM.html" rel="bookmark" class="title">禁止Windows7在桌面上存放文件技巧</a>
					<div>
						在开始菜单中打开运行对话框,输入regedit后按回车,依次展开HKEY_CURRENT_USERsoftwareMicrosoft WindowsCurrentVersionPo-liciesExp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oVRnb.html" rel="bookmark" class="title">Hibernate上手指南</a>
					<div>
						本文着重讲述了为什么要使用Hibernate,此外也简单的介绍了如何使用Hibernate,以及Hibernate中的一些基本概念.借这篇文章来向还没有接触过Hibernate的开发者推荐款优秀的开源 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEWreop.html" rel="bookmark" class="title">office2013怎么更换密钥？</a>
					<div>
						  office2013怎么更换密钥呢?使用Office 2013软件时就需要常常激活,那么在激活时Office 2013时就需要更换密钥,那么office2013怎么更换密钥呢?下文小编就教大家of ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z42LGjM.html" rel="bookmark" class="title">百度云出现&OpenCurlyQuote;&rsquo;服务器有点儿忙，稍候重试一下吧&OpenCurlyQuote;&rsquo;&rsquo;怎么办</a>
					<div>
						  百度云出现''服务器有点儿忙,稍候重试一下吧'''怎么办 1.一般来说,这种情况发生在编程技术分享的情况较多. 所以首先检查你的所有内容中,是否包含代码!如果有代码,抓图上传吧!然后删除内容中的代 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYQ1KM.html" rel="bookmark" class="title">如何让 OS X 定时截图</a>
					<div>
						  大家都知道 OS X 的截图功能,但是大家知道定时截图的功能吗? 可能大家觉得困难才能办到,但是在OS X上非常简单. 打开&quot;终端&quot;(应用程序-&gt;实用工具),输入以下命令 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkG8db.html" rel="bookmark" class="title">如何借助加密软件预防企业内部泄密风险？</a>
					<div>
						硅谷网(蔡小飞)8月1日讯  当前,电脑与互联网已被广泛运用于企业的设计.生产.管理等诸多环节,带来便捷高效的同时,潜在的泄密风险也在不断加大.以电子文档保存的各种企业信息(如:文档.图纸.数据.视频 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRqrjz.html" rel="bookmark" class="title">【转载】架构师的行为准则（三）</a>
					<div>
						让开发人员自己做主       架构师虽然需要为系统的设计负责,但无须包揽所有的设计工作,应该给予团队成员足够的自主权,让他们发挥自己的创意和能力,你的工作是确保大家的工作能很好的组合在一起,帮助他人 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6NLENM.html" rel="bookmark" class="title">一份语言选择指南带你玩数据科学，选出你心中支持的语言</a>
					<div>
						更多深度文章,请关注:https://yq.aliyun.com/cloud 随着大数据时代的到来,网络每天会产生大量的数据,一些行业会对这些数据进行分析并协助企业不断地发展新业务.创建运营模式等,比 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lQe3b.html" rel="bookmark" class="title">来，加入前端自动化单元测试</a>
					<div>
						最近闲来无事,开始摸索前端单元测试.一是不备之需,二是确实在实际项目中能够用到单元测试.这样可以提高开发效率,提升代码质量,完全可以单独对 JS 进行测试,无需页面,不依赖其他第三方. 为什么需要单元 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJAeNwp.html" rel="bookmark" class="title">秘籍：程序猿该如何实力撩妹</a>
					<div>
						简评:都说&quot;城市套路深,我要回农村&quot;,但是经过了这么多年的经历,我们都知道&quot;自古真情留不住,总是套路得人心&quot;,然而对于程序员的你,是不是只会面向对象编程,却还没 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmqgWb.html" rel="bookmark" class="title">专注学习DevOps编程语言Top 5推荐</a>
					<div>
						Chris Saunders (Red Hat)一直专注于基础设施,本篇文章将介绍5大DevOps编程语言以及一些有帮助的学习资源. 在当下,了解服务器的架构和技术栈不是一个强需求的技巧.大多数的企业 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAAY4AM.html" rel="bookmark" class="title">专访声网Agora&period;io创始人赵斌：实时通信的互联网应用规模化</a>
					<div>
						在大会召开前夕,前YY(欢聚时代)CTO,现声网Agora.io创始人赵斌接受CSDN记者专访,就实时互联网行业发展.声网近一年的商业运营情况.实时互联网大会的相关事宜进行深入讨论. 作为一个在通信和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKYvkWp.html" rel="bookmark" class="title">关于apache 二级域名泛解析问题</a>
					<div>
						问题描述 由于项目业务需要,要做域名泛解析,及每个用户有自己的一个主页.在项目中的地址是userIndex_id.html将项目部署到apahce上,地址是bb.com(本地解析).现在希望实现的效果 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgR22Zb.html" rel="bookmark" class="title">《Unreal Engine 4蓝图可视化编程》一1&period;7　小结</a>
					<div>
						1.7 小结 本章通过UE4蓝图创建了第一个原型,迈出了游戏开发的第一步! 在本章中,利用FPS模板创建了一个工程和一个初始关卡.然后设置了一个目标,通过改变自身颜色来响应子弹的射击.最后,设置了一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLLVVM.html" rel="bookmark" class="title">&lbrack;转自blueidea&rsqb;像table一样布局div Ⅰ</a>
					<div>
						翻译自:Equal height boxes with CSS 原文:http://www.456bereastreet.com/archive/200405/equal_height_boxes_w ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLrwaM.html" rel="bookmark" class="title">java--多线程实现计数器</a>
					<div>
						同时开始5个线程,用各自的文本框显示count,和按钮控制count的自加 import java.awt.*; import java.awt.event.*; import java.applet ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjwYNnM.html" rel="bookmark" class="title">编程c语言-c语言课设考试题目，求大神们帮忙</a>
					<div>
						问题描述 c语言课设考试题目,求大神们帮忙 各位兄弟们能不能帮帮忙,课设考试.竞赛编程题目&quot;&gt;					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQj5LZM.html" rel="bookmark" class="title">python题&comma;已知l&equals;&lbrack;1&comma;2&comma;3&comma;4&rsqb;&comma;那么l&lbrack;-4&colon;&colon;-1&rsqb;等于什么</a>
					<div>
						问题描述 python题,已知l=[1,2,3,4],那么l[-4::-1]等于什么 我们知道python列表有一个很神奇的功能list[::-1]是能将列表中的元素取相反的顺序,于是乎我对这个-1产 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPW358M.html" rel="bookmark" class="title">网络世界的&amp;quot&semi;后门&amp;quot&semi; -端口的故事⑩</a>
					<div>
						今天将介绍QQ使用的4000端口,被&quot;震荡波&quot;病毒利用的5554端口,pc Anywhere使用的5632端口以及WWW 代理服务使用的 8080端口. 4000端口 端口说明:4 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baqPRNb.html" rel="bookmark" class="title">&period;NET中开源文档操作组件DocX的介绍与使用&lowbar;基础应用</a>
					<div>
						前言 相信大家应该都有所体会,在目前的软件项目中,都会较多的使用到对文档的操作,用于记录和统计相关业务信息.由于系统自身提供了对文档的相关操作,所以在一定程度上极大的简化了软件使用者的工作量. 在.N ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqO2Bez.html" rel="bookmark" class="title">曹国伟：如果需要微博现在就可分拆</a>
					<div>
						新浪CEO曹国伟(TechWeb配图)TechWeb编辑推荐:昨日,新浪微博正式启用新域名weibo.com,同时将启动新版Logo标识.新浪首席执行官兼总裁曹国伟表示,微博将不再是新浪的一个频道,  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVXnxVM.html" rel="bookmark" class="title">中国国防部网正式上线运行：日均点击量达千万</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 新版国防部网从网站定位.频道设置.信息传递等方面充分强调了国防信息的权威性与实时性. 人民网北京8月1日电 (记者 杨铁虎)1日零时起,经过近两年稳定运 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlWWLYb.html" rel="bookmark" class="title">C&num;开发微信门户及应用&lpar;18&rpar;-微信企业号的通讯录管理开发之成员管理</a>
					<div>
						原文:C#开发微信门户及应用(18)-微信企业号的通讯录管理开发之成员管理 在上篇随笔&lt;C#开发微信门户及应用(17)-微信企业号的通讯录管理开发之部门管理&gt;介绍了通讯录的部门的相关操作管 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPOL88M.html" rel="bookmark" class="title">优酷网状告土豆网索赔480万元</a>
					<div>
						本报讯 (记者王秋实)土豆网召开发布会宣布向优酷网提出1.5亿元的著作权赔偿,发布会视频被多家网站转载,优酷网认为此举导致本公司股价大跌,多家公司提出解除合同,为此将土豆网起诉到法院要求索赔480万元 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
